<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: SSLerrs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SSLerrs.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="SSLerrs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/* ***** BEGIN LICENSE BLOCK *****</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Version: MPL 1.1/GPL 2.0/LGPL 2.1</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * The contents of this file are subject to the Mozilla Public License Version</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * 1.1 (the &quot;License&quot;); you may not use this file except in compliance with</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * the License. You may obtain a copy of the License at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * http://www.mozilla.org/MPL/</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * Software distributed under the License is distributed on an &quot;AS IS&quot; basis,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * for the specific language governing rights and limitations under the</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * License.</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * The Original Code is the Netscape security libraries.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * The Initial Developer of the Original Code is</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * Netscape Communications Corporation.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * Portions created by the Initial Developer are Copyright (C) 1994-2000</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * the Initial Developer. All Rights Reserved.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * Contributor(s):</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * Alternatively, the contents of this file may be used under the terms of</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * either the GNU General Public License Version 2 or later (the &quot;GPL&quot;), or</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * the GNU Lesser General Public License Version 2.1 or later (the &quot;LGPL&quot;),</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * in which case the provisions of the GPL or the LGPL are applicable instead</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * of those above. If you wish to allow use of your version of this file only</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * under the terms of either the GPL or the LGPL, and not to allow others to</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * use your version of this file under the terms of the MPL, indicate your</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * decision by deleting the provisions above and replace them with the notice</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * and other provisions required by the GPL or the LGPL. If you do not delete</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * the provisions above, a recipient may use your version of this file under</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * the terms of any one of the MPL, the GPL or the LGPL.</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * ***** END LICENSE BLOCK ***** */</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">/* SSL-specific security error codes  */</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">/* caller must include &quot;sslerr.h&quot; */</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_EXPORT_ONLY_SERVER,                       <a class="code" href="SSLerrs_8h.html#a4e57021ff862d6738c99f62603c09514">SSL_ERROR_BASE</a> + 0,</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="stringliteral">&quot;Unable to communicate securely.  Peer does not support high-grade encryption.&quot;</span>)</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="SSLerrs_8h.html#a4e57021ff862d6738c99f62603c09514">   43</a></span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_US_ONLY_SERVER,                           <a class="code" href="SSLerrs_8h.html#a4e57021ff862d6738c99f62603c09514">SSL_ERROR_BASE</a> + 1,</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;&quot;Unable to communicate securely.  Peer requires high-grade encryption which is not supported.&quot;)</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_CYPHER_OVERLAP,                        SSL_ERROR_BASE + 2,</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;&quot;Cannot communicate securely with <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>: no common encryption algorithm(s).&quot;)</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_CERTIFICATE,                           SSL_ERROR_BASE + 3,</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;&quot;Unable to find the <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> or key necessary for authentication.&quot;)</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_CERTIFICATE,                          SSL_ERROR_BASE + 4,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;&quot;Unable to communicate securely with <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>: peers&#39;s <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> was rejected.&quot;)</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment">/* unused                                               (SSL_ERROR_BASE + 5),*/</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_CLIENT,                               SSL_ERROR_BASE + 6,</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;&quot;The server has encountered bad data from the client.&quot;)</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_SERVER,                               SSL_ERROR_BASE + 7,</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;&quot;The client has encountered bad data from the server.&quot;)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_UNSUPPORTED_CERTIFICATE_TYPE,             SSL_ERROR_BASE + 8,</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;&quot;Unsupported <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> type.&quot;)</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_UNSUPPORTED_VERSION,                      SSL_ERROR_BASE + 9,</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;&quot;Peer using unsupported <a class="code" href="SSLerrs_8h.html#a5392ad4645678338e69523acd73ac599">version</a> of security protocol.&quot;)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment">/* unused                                               (SSL_ERROR_BASE + 10),*/</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="SSLerrs_8h.html#a5392ad4645678338e69523acd73ac599">   71</a></span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_WRONG_CERTIFICATE,                        SSL_ERROR_BASE + 11,</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;&quot;Client authentication <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a>: private key in key database does not match public key in <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> database.&quot;)</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_CERT_DOMAIN,                          SSL_ERROR_BASE + 12,</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;&quot;Unable to communicate securely with <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>: requested domain name does not match the server&#39;s <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a>.&quot;)</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">/* SSL_ERROR_POST_WARNING                               (SSL_ERROR_BASE + 13),</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">   defined in sslerr.h</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SSL2_DISABLED,                            (SSL_ERROR_BASE + 14),</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;&quot;Peer only supports SSL <a class="code" href="SSLerrs_8h.html#a5392ad4645678338e69523acd73ac599">version</a> 2, which is locally disabled.&quot;)</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_MAC_READ,                             (SSL_ERROR_BASE + 15),</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;&quot;SSL received a record with an incorrect Message Authentication Code.&quot;)</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_MAC_ALERT,                            (SSL_ERROR_BASE + 16),</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> reports incorrect Message Authentication Code.&quot;)</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_CERT_ALERT,                           (SSL_ERROR_BASE + 17),</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> cannot verify your <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a>.&quot;)</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_REVOKED_CERT_ALERT,                       (SSL_ERROR_BASE + 18),</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> rejected your <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> as revoked.&quot;)</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_EXPIRED_CERT_ALERT,                       (SSL_ERROR_BASE + 19),</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> rejected your <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> as expired.&quot;)</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">  100</a></span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SSL_DISABLED,                             (SSL_ERROR_BASE + 20),</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;&quot;Cannot <a class="code" href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a>: SSL is disabled.&quot;)</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_FORTEZZA_PQG,                             (SSL_ERROR_BASE + 21),</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;&quot;Cannot <a class="code" href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a>: SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> is in another FORTEZZA domain.&quot;)</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_UNKNOWN_CIPHER_SUITE          , (SSL_ERROR_BASE + 22),</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;&quot;An unknown SSL cipher suite has been requested.&quot;)</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_CIPHERS_SUPPORTED          , (SSL_ERROR_BASE + 23),</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;&quot;No cipher suites are present and enabled in this program.&quot;)</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_BLOCK_PADDING             , (SSL_ERROR_BASE + 24),</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;&quot;SSL received a record with bad block padding.&quot;)</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_RECORD_TOO_LONG            , (SSL_ERROR_BASE + 25),</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;&quot;SSL received a record that exceeded the maximum permissible length.&quot;)</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_TX_RECORD_TOO_LONG            , (SSL_ERROR_BASE + 26),</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;&quot;SSL attempted to send a record that exceeded the maximum permissible length.&quot;)</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="comment"> * Received a malformed (too long or short or invalid content) SSL handshake.</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_HELLO_REQUEST    , (SSL_ERROR_BASE + 27),</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;&quot;SSL received a malformed Hello Request handshake message.&quot;)</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_CLIENT_HELLO     , (SSL_ERROR_BASE + 28),</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;&quot;SSL received a malformed Client Hello handshake message.&quot;)</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_SERVER_HELLO     , (SSL_ERROR_BASE + 29),</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;&quot;SSL received a malformed Server Hello handshake message.&quot;)</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_CERTIFICATE      , (SSL_ERROR_BASE + 30),</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;&quot;SSL received a malformed Certificate handshake message.&quot;)</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_SERVER_KEY_EXCH  , (SSL_ERROR_BASE + 31),</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;&quot;SSL received a malformed Server Key Exchange handshake message.&quot;)</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_CERT_REQUEST     , (SSL_ERROR_BASE + 32),</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;&quot;SSL received a malformed Certificate Request handshake message.&quot;)</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_HELLO_DONE       , (SSL_ERROR_BASE + 33),</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;&quot;SSL received a malformed Server Hello Done handshake message.&quot;)</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_CERT_VERIFY      , (SSL_ERROR_BASE + 34),</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;&quot;SSL received a malformed Certificate Verify handshake message.&quot;)</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_CLIENT_KEY_EXCH  , (SSL_ERROR_BASE + 35),</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;&quot;SSL received a malformed Client Key Exchange handshake message.&quot;)</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_FINISHED         , (SSL_ERROR_BASE + 36),</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;&quot;SSL received a malformed Finished handshake message.&quot;)</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="comment"> * Received a malformed (too long or short) SSL record.</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_CHANGE_CIPHER    , (SSL_ERROR_BASE + 37),</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;&quot;SSL received a malformed Change Cipher Spec record.&quot;)</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_ALERT            , (SSL_ERROR_BASE + 38),</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;&quot;SSL received a malformed Alert record.&quot;)</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_HANDSHAKE        , (SSL_ERROR_BASE + 39),</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;&quot;SSL received a malformed Handshake record.&quot;)</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_MALFORMED_APPLICATION_DATA , (SSL_ERROR_BASE + 40),</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;&quot;SSL received a malformed Application Data record.&quot;)</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="comment"> * Received an SSL handshake that was inappropriate for the state we&#39;re in.</span></div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<span class="comment"> * E.g. Server received message from server, or wrong state in state machine.</span></div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_HELLO_REQUEST   , (SSL_ERROR_BASE + 41),</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;&quot;SSL received an unexpected Hello Request handshake message.&quot;)</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_CLIENT_HELLO    , (SSL_ERROR_BASE + 42),</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;&quot;SSL received an unexpected Client Hello handshake message.&quot;)</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_SERVER_HELLO    , (SSL_ERROR_BASE + 43),</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;&quot;SSL received an unexpected Server Hello handshake message.&quot;)</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_CERTIFICATE     , (SSL_ERROR_BASE + 44),</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;&quot;SSL received an unexpected Certificate handshake message.&quot;)</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_SERVER_KEY_EXCH , (SSL_ERROR_BASE + 45),</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;&quot;SSL received an unexpected Server Key Exchange handshake message.&quot;)</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_CERT_REQUEST    , (SSL_ERROR_BASE + 46),</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;&quot;SSL received an unexpected Certificate Request handshake message.&quot;)</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_HELLO_DONE      , (SSL_ERROR_BASE + 47),</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;&quot;SSL received an unexpected Server Hello Done handshake message.&quot;)</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_CERT_VERIFY     , (SSL_ERROR_BASE + 48),</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;&quot;SSL received an unexpected Certificate Verify handshake message.&quot;)</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_CLIENT_KEY_EXCH , (SSL_ERROR_BASE + 49),</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;&quot;SSL received an unexpected Cllient Key Exchange handshake message.&quot;)</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_FINISHED        , (SSL_ERROR_BASE + 50),</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;&quot;SSL received an unexpected Finished handshake message.&quot;)</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="comment"> * Received an SSL record that was inappropriate for the state we&#39;re in.</span></div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_CHANGE_CIPHER   , (SSL_ERROR_BASE + 51),</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;&quot;SSL received an unexpected Change Cipher Spec record.&quot;)</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_ALERT           , (SSL_ERROR_BASE + 52),</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;&quot;SSL received an unexpected Alert record.&quot;)</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_HANDSHAKE       , (SSL_ERROR_BASE + 53),</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;&quot;SSL received an unexpected Handshake record.&quot;)</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNEXPECTED_APPLICATION_DATA, (SSL_ERROR_BASE + 54),</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;&quot;SSL received an unexpected Application Data record.&quot;)</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;<span class="comment"> * Received record/message with unknown discriminant.</span></div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNKNOWN_RECORD_TYPE        , (SSL_ERROR_BASE + 55),</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;&quot;SSL received a record with an unknown content type.&quot;)</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNKNOWN_HANDSHAKE          , (SSL_ERROR_BASE + 56),</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;&quot;SSL received a handshake message with an unknown message type.&quot;)</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RX_UNKNOWN_ALERT              , (SSL_ERROR_BASE + 57),</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;&quot;SSL received an alert record with an unknown alert description.&quot;)</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="comment"> * Received an alert reporting what we did wrong.  (more alerts above)</span></div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_CLOSE_NOTIFY_ALERT            , (SSL_ERROR_BASE + 58),</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> has closed this connection.&quot;)</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_HANDSHAKE_UNEXPECTED_ALERT    , (SSL_ERROR_BASE + 59),</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> was not expecting a handshake message it received.&quot;)</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_DECOMPRESSION_FAILURE_ALERT   , (SSL_ERROR_BASE + 60),</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> was unable to succesfully decompress an SSL record it received.&quot;)</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_HANDSHAKE_FAILURE_ALERT       , (SSL_ERROR_BASE + 61),</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> was unable to negotiate an acceptable set of security parameters.&quot;)</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_ILLEGAL_PARAMETER_ALERT       , (SSL_ERROR_BASE + 62),</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> rejected a handshake message for unacceptable content.&quot;)</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_UNSUPPORTED_CERT_ALERT        , (SSL_ERROR_BASE + 63),</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> does not support certificates of the type it received.&quot;)</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_CERTIFICATE_UNKNOWN_ALERT     , (SSL_ERROR_BASE + 64),</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;&quot;SSL <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a> had some unspecified issue with the <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> it received.&quot;)</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_GENERATE_RANDOM_FAILURE       , (SSL_ERROR_BASE + 65),</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;&quot;SSL experienced a failure of its random number generator.&quot;)</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SIGN_HASHES_FAILURE           , (SSL_ERROR_BASE + 66),</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;&quot;Unable to digitally sign data required to verify your <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a>.&quot;)</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_EXTRACT_PUBLIC_KEY_FAILURE    , (SSL_ERROR_BASE + 67),</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;&quot;SSL was unable to extract the public key from the <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>&#39;s <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a>.&quot;)</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SERVER_KEY_EXCHANGE_FAILURE   , (SSL_ERROR_BASE + 68),</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;&quot;Unspecified failure while processing SSL Server Key Exchange handshake.&quot;)</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_CLIENT_KEY_EXCHANGE_FAILURE   , (SSL_ERROR_BASE + 69),</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;&quot;Unspecified failure while processing SSL Client Key Exchange handshake.&quot;)</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_ENCRYPTION_FAILURE            , (SSL_ERROR_BASE + 70),</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;&quot;Bulk data encryption algorithm <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> in selected cipher suite.&quot;)</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_DECRYPTION_FAILURE            , (SSL_ERROR_BASE + 71),</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;&quot;Bulk data decryption algorithm <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> in selected cipher suite.&quot;)</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SOCKET_WRITE_FAILURE          , (SSL_ERROR_BASE + 72),</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;&quot;Attempt to write <a class="code" href="SECerrs_8h.html#aea330cd317744f32e7645003e8fef590">encrypted</a> data to underlying socket <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a>.&quot;)</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_MD5_DIGEST_FAILURE            , (SSL_ERROR_BASE + 73),</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;&quot;MD5 digest function <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a>.&quot;)</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SHA_DIGEST_FAILURE            , (SSL_ERROR_BASE + 74),</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;&quot;SHA-1 digest function <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a>.&quot;)</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_MAC_COMPUTATION_FAILURE       , (SSL_ERROR_BASE + 75),</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;&quot;MAC computation <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a>.&quot;)</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SYM_KEY_CONTEXT_FAILURE       , (SSL_ERROR_BASE + 76),</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;&quot;Failure to create Symmetric Key context.&quot;)</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SYM_KEY_UNWRAP_FAILURE        , (SSL_ERROR_BASE + 77),</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;&quot;Failure to unwrap the Symmetric key in Client Key Exchange message.&quot;)</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_PUB_KEY_SIZE_LIMIT_EXCEEDED   , (SSL_ERROR_BASE + 78),</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;&quot;SSL Server attempted to use domestic-grade public key with export cipher suite.&quot;)</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_IV_PARAM_FAILURE              , (SSL_ERROR_BASE + 79),</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;&quot;PKCS11 code <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> to translate an IV into a param.&quot;)</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_INIT_CIPHER_SUITE_FAILURE     , (SSL_ERROR_BASE + 80),</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;&quot;Failed to initialize the selected cipher suite.&quot;)</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SESSION_KEY_GEN_FAILURE       , (SSL_ERROR_BASE + 81),</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;&quot;Client <a class="code" href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a> to generate session keys for SSL session.&quot;)</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_SERVER_KEY_FOR_ALG         , (SSL_ERROR_BASE + 82),</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;&quot;Server has no key for the attempted key exchange algorithm.&quot;)</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_TOKEN_INSERTION_REMOVAL       , (SSL_ERROR_BASE + 83),</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;&quot;PKCS<span class="preprocessor">#11 token was inserted or removed while operation was in progress.&quot;)</span></div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_TOKEN_SLOT_NOT_FOUND          , (SSL_ERROR_BASE + 84),</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;<span class="stringliteral">&quot;No PKCS#11 token could be found to do a required operation.&quot;</span>)</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_COMPRESSION_OVERLAP        , (SSL_ERROR_BASE + 85),</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;&quot;Cannot communicate securely with <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>: no common compression algorithm(s).&quot;)</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_HANDSHAKE_NOT_COMPLETED       , (SSL_ERROR_BASE + 86),</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;&quot;Cannot initiate another SSL handshake until current handshake is complete.&quot;)</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_BAD_HANDSHAKE_HASH_VALUE      , (SSL_ERROR_BASE + 87),</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;&quot;Received incorrect handshakes hash values from <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>.&quot;)</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_CERT_KEA_MISMATCH             , (SSL_ERROR_BASE + 88),</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;&quot;The <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> provided cannot be used with the selected key exchange algorithm.&quot;)</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_TRUSTED_SSL_CLIENT_CA  , (SSL_ERROR_BASE + 89),</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;&quot;No <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a> authority is trusted for SSL client authentication.&quot;)</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SESSION_NOT_FOUND         , (SSL_ERROR_BASE + 90),</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;&quot;Client&#39;s SSL session ID not <a class="code" href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a> in server&#39;s session cache.&quot;)</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_DECRYPTION_FAILED_ALERT     , (SSL_ERROR_BASE + 91),</div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;&quot;Peer was unable to <a class="code" href="SECerrs_8h.html#adf8aa745a778702b51c9045c006c3f16">decrypt</a> an SSL record it received.&quot;)</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_RECORD_OVERFLOW_ALERT       , (SSL_ERROR_BASE + 92),</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;&quot;Peer received an SSL record that was longer than is permitted.&quot;)</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_UNKNOWN_CA_ALERT            , (SSL_ERROR_BASE + 93),</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;&quot;Peer does not recognize and trust the CA that issued your <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a>.&quot;)</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;</div><div class="line"><a name="l00343"></a><span class="lineno"><a class="line" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">  343</a></span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_ACCESS_DENIED_ALERT         , (SSL_ERROR_BASE + 94),</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;&quot;Peer received a <a class="code" href="SECerrs_8h.html#a81899717c1d717b3bb68a273dd873352">valid</a> <a class="code" href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a>, but access was denied.&quot;)</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_DECODE_ERROR_ALERT          , (SSL_ERROR_BASE + 95),</div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;&quot;Peer could not decode an SSL handshake message.&quot;)</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_DECRYPT_ERROR_ALERT         , (SSL_ERROR_BASE + 96),</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;&quot;Peer reports failure of signature verification or key exchange.&quot;)</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_EXPORT_RESTRICTION_ALERT    , (SSL_ERROR_BASE + 97),</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;&quot;Peer reports negotiation not in compliance with export regulations.&quot;)</div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;</div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_PROTOCOL_VERSION_ALERT      , (SSL_ERROR_BASE + 98),</div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;&quot;Peer reports incompatible or unsupported protocol version.&quot;)</div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;</div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_INSUFFICIENT_SECURITY_ALERT , (SSL_ERROR_BASE + 99),</div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;&quot;Server requires ciphers more secure than those supported by client.&quot;)</div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_INTERNAL_ERROR_ALERT        , (SSL_ERROR_BASE + 100),</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;&quot;Peer reports it experienced an internal error.&quot;)</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;</div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_USER_CANCELED_ALERT         , (SSL_ERROR_BASE + 101),</div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;&quot;Peer user canceled handshake.&quot;)</div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_NO_RENEGOTIATION_ALERT      , (SSL_ERROR_BASE + 102),</div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;&quot;Peer does not permit renegotiation of SSL security parameters.&quot;)</div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;</div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;<a class="code" href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a>(SSL_ERROR_SERVER_CACHE_NOT_CONFIGURED , (SSL_ERROR_BASE + 103),</div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;&quot;SSL server cache not configured and not disabled for this socket.&quot;)</div><div class="ttc" id="SECerrs_8h_html_aea330cd317744f32e7645003e8fef590"><div class="ttname"><a href="SECerrs_8h.html#aea330cd317744f32e7645003e8fef590">encrypted</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not encrypted</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00172">SECerrs.h:172</a></div></div>
<div class="ttc" id="SECerrs_8h_html_a81899717c1d717b3bb68a273dd873352"><div class="ttname"><a href="SECerrs_8h.html#a81899717c1d717b3bb68a273dd873352">valid</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not Cannot or matching certificate and private key not found Signature verification too many signers or improper or corrupted data Cannot Fortezza card has not been properly initialized Please remove it and return it to your issuer No Fortezza card selected Personality not found Invalid Pin No KRL for this site s certificate has been found The KRL for this site s certificate has an invalid signature New KRL has an invalid format security The security card or token does not needs to be or has been removed No slot or token was selected A key with the same nickname already exists error while creating baggage object Couldn t delete the privilege Required algorithm is not allowed Error attempting to import certificates Unable to import Invalid MAC Incorrect password or corrupt file Unable to import Only password integrity and privacy modes supported Unable to import Encryption algorithm not supported Unable to import Incorrect privacy password The user pressed cancel Message not sent Certificate type not approved for application Unable to import Error attempting to import private key Unable to export Unable to locate certificate or key by nickname Unable to export Unable to write the export file Unable to export Key database corrupt or deleted Password entered is invalid Please pick a different one Certificate nickname already in use A sensitive key cannot be moved to the slot where it is needed Invalid module path filename Unable to delete module New CKL has different issuer than current CKL Delete current CKL The key revocation list for this certificate is not yet valid The requested certificate could not be found The location for the certificate status server has invalid format The OCSP server returned unexpected invalid HTTP data The OCSP server experienced an internal error The OCSP server requires a signature on this request The OCSP server returned an unrecognizable status You must enable OCSP before performing this operation The response from the OCSP server was corrupted or improperly formed The OCSP response is not yet valid(contains a date in the future).&quot;) ER3(SEC_ERROR_OCSP_OLD_RESPONSE</div></div>
<div class="ttc" id="SSLerrs_8h_html_a62b0ed5df1b0c2e1feaaa73b9b128da3"><div class="ttname"><a href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication Unable to communicate securely with peer</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00071">SSLerrs.h:71</a></div></div>
<div class="ttc" id="SSLerrs_8h_html_a05b5b88276a86192a70c677cc2ae358f"><div class="ttname"><a href="SSLerrs_8h.html#a05b5b88276a86192a70c677cc2ae358f">ER3</a></div><div class="ttdeci">ER3(SSL_ERROR_EXPORT_ONLY_SERVER, SSL_ERROR_BASE+0, &quot;Unable to communicate securely.  Peer does not support high-grade encryption.&quot;) ER3(SSL_ERROR_US_ONLY_SERVER</div></div>
<div class="ttc" id="SSLerrs_8h_html_a5ec8d6e7f535f27933fe6a6a44409f95"><div class="ttname"><a href="SSLerrs_8h.html#a5ec8d6e7f535f27933fe6a6a44409f95">certificate</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication Unable to communicate securely with Peer only supports SSL which is locally disabled SSL peer reports incorrect Message Authentication Code SSL peer rejected your certificate as revoked Cannot Cannot An unknown SSL cipher suite has been requested SSL received a record with bad block padding SSL attempted to send a record that exceeded the maximum permissible length SSL received a malformed Client Hello handshake message SSL received a malformed Certificate handshake message SSL received a malformed Certificate Request handshake message SSL received a malformed Certificate Verify handshake message SSL received a malformed Finished handshake message SSL received a malformed Alert record SSL received a malformed Application Data record SSL received an unexpected Client Hello handshake message SSL received an unexpected Certificate handshake message SSL received an unexpected Certificate Request handshake message SSL received an unexpected Certificate Verify handshake message SSL received an unexpected Finished handshake message SSL received an unexpected Alert record SSL received an unexpected Application Data record SSL received a handshake message with an unknown message type SSL peer has closed this connection SSL peer was unable to succesfully decompress an SSL record it received SSL peer rejected a handshake message for unacceptable content SSL peer had some unspecified issue with the certificate it received Unable to digitally sign data required to verify your certificate Unspecified failure while processing SSL Server Key Exchange handshake Bulk data encryption algorithm failed in selected cipher suite Attempt to write encrypted data to underlying socket failed SHA digest function failed Failure to create Symmetric Key context SSL Server attempted to use domestic grade public key with export cipher suite Failed to initialize the selected cipher suite Server has no key for the attempted key exchange algorithm No PKCS Cannot initiate another SSL handshake until current handshake is complete The certificate provided cannot be used with the selected key exchange algorithm Client s SSL session ID not found in server s session cache Peer received an SSL record that was longer than is permitted Peer received a valid certificate</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00343">SSLerrs.h:343</a></div></div>
<div class="ttc" id="SSLerrs_8h_html_a5392ad4645678338e69523acd73ac599"><div class="ttname"><a href="SSLerrs_8h.html#a5392ad4645678338e69523acd73ac599">version</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication Unable to communicate securely with Peer only supports SSL version</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00071">SSLerrs.h:71</a></div></div>
<div class="ttc" id="SSLerrs_8h_html_a4e57021ff862d6738c99f62603c09514"><div class="ttname"><a href="SSLerrs_8h.html#a4e57021ff862d6738c99f62603c09514">SSL_ERROR_BASE</a></div><div class="ttdeci">SSL_ERROR_BASE</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00043">SSLerrs.h:43</a></div></div>
<div class="ttc" id="SSLerrs_8h_html_adfb7398394c04fd64519a53068474080"><div class="ttname"><a href="SSLerrs_8h.html#adfb7398394c04fd64519a53068474080">failed</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication failed</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00071">SSLerrs.h:71</a></div></div>
<div class="ttc" id="SECerrs_8h_html_adf8aa745a778702b51c9045c006c3f16"><div class="ttname"><a href="SECerrs_8h.html#adf8aa745a778702b51c9045c006c3f16">decrypt</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not Cannot decrypt</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00172">SECerrs.h:172</a></div></div>
<div class="ttc" id="SECerrs_8h_html_a2ef9065a594548ee03e31edbe574df84"><div class="ttname"><a href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not Cannot or matching certificate and private key not found Signature verification too many signers found</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00182">SECerrs.h:182</a></div></div>
<div class="ttc" id="SSLerrs_8h_html_a10764c1c14b74ad693fc25c1b547abc2"><div class="ttname"><a href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication Unable to communicate securely with Peer only supports SSL which is locally disabled SSL peer reports incorrect Message Authentication Code SSL peer rejected your certificate as revoked Cannot connect</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00100">SSLerrs.h:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
